Index: /code/branches/3DPacman_FS19/src/modules/pacman/getShortestPath.cc
===================================================================
--- /code/branches/3DPacman_FS19/src/modules/pacman/getShortestPath.cc	(revision 12303)
+++ /code/branches/3DPacman_FS19/src/modules/pacman/getShortestPath.cc	(revision 12304)
@@ -1,5 +1,6 @@
     #include "core/CoreIncludes.h"
     #include "core/XMLPort.h"
-    #include "getShortestPath.h"
+    //#include "getShortestPath.h"
+    #include "PacmanGhost.h"
 
 
@@ -9,14 +10,4 @@
     namespace orxonox{
 
-        //Check if there is a collision
-        bool jeanfindpos(Vector3 one, Vector3 other){
-       if((abs(one.x - other.x)<0.5) && (abs(one.y - other.y)<0.5) && (abs(one.z - other.z)<0.5)) return true;
-        return false;
-        }
-
-        struct graphVertex;
-        void findNeighboorVertices(Vector3 actuelposition, graphVertex adjacentVertices[]);
-        void updateShortestDistanceToStart(graphVertex &vertex, graphVertex &neighboor);
-        graphVertex findNextVertexToConsider(graphVertex[]);
         struct graphVertex {
 
@@ -57,4 +48,5 @@
         };
 
+        graphVertex listOfVertices[67];
 
         Vector3 getShortestPath(Vector3 start, Vector3 goal){
@@ -66,22 +58,4 @@
             return start;
         }
-
-        //All positions in the map, see documentation
-     Vector3 possibleposition[] = {Vector3(20,10,245),Vector3(215,10,245),Vector3(215,10,195),Vector3(185,10,195),Vector3(135,10,195), //0-4
-        Vector3(185,10,150),Vector3(135,10,150),Vector3(215,10,150),Vector3(215,10,105),Vector3(135,10,105), //5-9
-        Vector3(135,10,15),Vector3(135,10,-85),Vector3(215,10,-85),Vector3(135,10,-135),Vector3(215,10,-135), //10-14
-        Vector3(215,10,-195),Vector3(135,10,-195),Vector3(20,10,195),Vector3(-20,10,195),Vector3(-20,10,245), //15-19
-        Vector3(-215,10,245),Vector3(-215,10,195),Vector3(-185,10,195),Vector3(-135,10,195),Vector3(-70,10,195), //20-24
-        Vector3(70,10,195),Vector3(70,10,150),Vector3(20,10,150),Vector3(-20,10,150),Vector3(-70,10,150), //25-29
-        Vector3(-135,10,150),Vector3(-185,10,150),Vector3(-215,10,150),Vector3(-215,10,105),Vector3(-135,10,105), //30-34
-        Vector3(-70,10,105),Vector3(-20,10,105),Vector3(20,10,105),Vector3(70,10,105),Vector3(70,10,60), //35-39
-        Vector3(0,10,60),Vector3(-70,10,60),Vector3(-135,10,15),Vector3(-70,10,60),Vector3(0,10,15), //40-44
-        Vector3(70,10,15),Vector3(-70,10,-35),Vector3(-20,10,-35),Vector3(20,10,-35),Vector3(70,10,-35), //45-49
-        Vector3(70,10,-85),Vector3(20,10,-85),Vector3(-20,10,-85),Vector3(-70,10,-85),Vector3(-135,10,-85), //50-54
-        Vector3(-215,10,-85),Vector3(-215,10,-135),Vector3(-135,10,-135),Vector3(-70,10,-135),Vector3(-20,10,-135), //55-59
-        Vector3(20,10,-135),Vector3(70,10,-135),Vector3(20,10,-195),Vector3(-20,10,-195),Vector3(-135,10,-195), //60-64
-        Vector3(-215,10,-195),Vector3(0,10,-35)}; //65-66
-
-        graphVertex listOfVertices[67]= { graphVertex()};  //list of all vertices in the map. // We need graphVertex()
        
 
@@ -90,5 +64,5 @@
         }
 
-        graphVertex actualVertex;
+        graphVertex actualVertex= graphVertex(start);
 
         actualVertex.alreadyVisited=true;
@@ -168,5 +142,5 @@
 
 
-    graphVertex findNextVertexToConsider(graphVertex listOfVertices[]){ //find next, nearest from start, non visited vertex 
+    graphVertex findNextVertexToConsider(graphVertex listOfVerticesP[]){ //find next, nearest from start, non visited vertex 
 
         int shortestDistance = -1;
@@ -175,29 +149,29 @@
         for(int i=0; i < 67; i++){ //we loop over all possible positions 
 
-            if(listOfVertices[i].alreadyVisited==true){ //vertex should already be visited 
-
-                findNearestNonVisitedNeighboor(listOfVertices[i]); //we update nearest neighboor
+            if(listOfVerticesP[i].alreadyVisited==true){ //vertex should already be visited 
+
+                findNearestNonVisitedNeighboor(listOfVerticesP[i]); //we update nearest neighboor
                 //of all visited vertices given that one of the nearest neighboor of a visited
                 // vertex is now also visited because it was chosen as next optimal vertex
 
-                if(listOfVertices[i].currentNearestNonVisitedNeighboor!=NULL){ //we want a candidate!
+                if(listOfVerticesP[i].currentNearestNonVisitedNeighboor!=NULL){ //we want a candidate!
                 if(shortestDistance==-1){ //our first possible candidate
 
-            shortestDistance=graphDistance(listOfVertices[i].position, 
-            listOfVertices[i].currentNearestNonVisitedNeighboor->position) + 
-            listOfVertices[i].shortestDistanceToStart;
-
-            nextVertexToConsider=listOfVertices[i].currentNearestNonVisitedNeighboor;
-
-                }
-                else if(shortestDistance > graphDistance(listOfVertices[i].position, 
-                listOfVertices[i].currentNearestNonVisitedNeighboor->position) + 
-                    listOfVertices[i].shortestDistanceToStart){
-
-            shortestDistance=graphDistance(listOfVertices[i].position, 
-            listOfVertices[i].currentNearestNonVisitedNeighboor->position) + 
-            listOfVertices[i].shortestDistanceToStart;
-
-            nextVertexToConsider=listOfVertices[i].currentNearestNonVisitedNeighboor;
+            shortestDistance=graphDistance(listOfVerticesP[i].position, 
+            listOfVerticesP[i].currentNearestNonVisitedNeighboor->position) + 
+            listOfVerticesP[i].shortestDistanceToStart;
+
+            nextVertexToConsider=listOfVerticesP[i].currentNearestNonVisitedNeighboor;
+
+                }
+                else if(shortestDistance > graphDistance(listOfVerticesP[i].position, 
+                listOfVerticesP[i].currentNearestNonVisitedNeighboor->position) + 
+                    listOfVerticesP[i].shortestDistanceToStart){
+
+            shortestDistance=graphDistance(listOfVerticesP[i].position, 
+            listOfVerticesP[i].currentNearestNonVisitedNeighboor->position) + 
+            listOfVerticesP[i].shortestDistanceToStart;
+
+            nextVertexToConsider=listOfVerticesP[i].currentNearestNonVisitedNeighboor;
                     }
                 }
